<!DOCTYPE html>
<html lang="vi" xmlns:th="http://www.thymeleaf.org" layout:decorate="layout">

<head>
  <meta charset="UTF-8">
  <title>Đăng ký và Đăng nhập</title>

    
</head>

<div layout:fragment="content">
  <div class="container">
    <div class="row col-md-8 offset-md-2">
      <div class="card">
        <div class="card-header">
          <h2 class="text-center">Đăng ký</h2>
        </div>
        <div th:if="${param.success}">
          <div class="alert alert-info">
            Bạn đã đăng ký thành công ứng dụng của chúng tôi!
          </div>
        </div>
        <div class="card-body">
          <form method="post" role="form" th:action="@{/user/register/save}" th:object="${user}" class="form">

            <div class="form-group mb-3">
              <label class="form-label">Tên người dùng</label>
              <input class="form-control" id="name" name="name" placeholder="Nhập User Name" th:field="*{name}"
                type="text" />
              <p th:errors="*{name}" class="text-danger" th:if="${#fields.hasErrors('name')}"></p>
              <p class="text-danger" style="display: none;"></p>
            </div>

            <div class="form-group mb-3">
              <label class="form-label">Email</label>
              <input class="form-control" id="email" name="email" placeholder="Nhập địa chỉ email" th:field="*{email}"
                type="email" />
              <p th:errors="*{email}" class="text-danger" th:if="${#fields.hasErrors('email')}"></p>
              <p class="text-danger" style="display: none;"></p>
            </div>

            <div class="form-group mb-3">
              <label class="form-label">Mật khẩu</label>
              <!-- <input class="form-control" id="password" name="password" placeholder="Nhập mật khẩu"
                     th:field="*{password}" type="password" /> -->

              <div class="password-field">
                <input type="password" name="password" class="form-control" placeholder="Nhập mật khẩu"
                  th:field="*{password}" id="password" />
                <span class="toggle-icon" id="showPassWord"><i class="bi bi-eye"></i></span>
              </div>
              <p th:errors="*{password}" class="text-danger" th:if="${#fields.hasErrors('password')}"></p>
              <p class="text-danger" style="display: none;"></p>
            </div>



            <div class="form-group">
              <button class="btn btn-primary " id="btnsubmit">Đăng ký</button>
              <span>Đã đăng ký? <a th:href="@{/user/login}">Đăng nhập tại đây</a></span>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
  <script>
    $("#btnsubmit").click(function (e) {
      e.preventDefault();
      var isValid = true;

      $('#loginForm input').each(function () {
        if ($(this).val() === '') {
          isValid = false;
          $(this).siblings('p.text-danger').show();
        } else {
          $(this).siblings('p.text-danger').hide();
        }
      });

      if (isValid) {
        $('#loginForm').submit();
      }
    });
  

  </script>
</div>


</html>